"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PublicTools = void 0;
const common_1 = require("@affinidi/common");
const getOptionsFromEnvironment_1 = require("../shared/getOptionsFromEnvironment");
class PublicTools {
    constructor(platformCryptographyTools, inputOptions, component) {
        const { accessApiKey, basicOptions: { metricsUrl, registryUrl }, } = (0, getOptionsFromEnvironment_1.getOptionsFromEnvironment)(inputOptions);
        this.affinidi = new common_1.Affinity({
            apiKey: accessApiKey,
            component,
            metricsUrl,
            registryUrl,
        }, platformCryptographyTools);
    }
    deriveSegmentProof(credential, fields, didDocument) {
        return this.affinidi.deriveSegmentProof(credential, fields, didDocument);
    }
}
exports.PublicTools = PublicTools;
//# sourceMappingURL=PublicTools.js.map