/// <reference types="node" />
/// <reference types="node" />
import { DidDocument } from '@affinidi/common';
export declare const Util: {
    /**
     * @description Parses JWT and returns DID
     * @param jwt
     * @returns DID of entity who signed JWT
     */
    getDidFromToken: (jwt: string) => string;
    /**
     * @description Returns hex of public key from DID document
     * @param didDocument - user's DID document
     * @returns public key hex
     */
    getPublicKeyHexFromDidDocument: (didDocument: any) => any;
    /**
     * @description Returns public key from DID document
     * @param didDocument - user's DID document
     * @returns publicKey
     */
    getPublicKeyFromDidDocument: (didDocument: DidDocument) => Buffer;
    /**
     * @description Generates random seed from which keys could be derived
     */
    generateSeed: (didMethod?: string) => Promise<any>;
    /**
     * @description Parses JWT token (request and response tokens of share and offer flows)
     * @param token - JWT
     * @returns parsed object from JWT
     */
    fromJWT: (token: string) => any;
    /**
     * Simple check if token has JWT structure
     * @param token
     */
    isJWT: (token: string) => boolean;
    getLoginType: (login: string) => "username" | "email" | "phone";
};
