"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractSDKVersion = exports.isW3cCredential = exports.stripParamsFromDidUrl = exports.validateDidMethodSupported = void 0;
const _defaultConfig_1 = require("./_defaultConfig");
const SdkErrorFromCode_1 = __importDefault(require("./shared/SdkErrorFromCode"));
const packageInfo = require('../package.json');
const validateDidMethodSupported = (didMethod) => {
    if (!_defaultConfig_1.SUPPORTED_DID_METHODS.includes(didMethod)) {
        throw new SdkErrorFromCode_1.default('COM-10', {
            didMethod: didMethod,
            supportedDidMethods: _defaultConfig_1.SUPPORTED_DID_METHODS.join(', '),
        });
    }
};
exports.validateDidMethodSupported = validateDidMethodSupported;
const stripParamsFromDidUrl = (did) => did
    // Strip out matrix params
    .replace(/;[a-zA-Z0-9_.:%-]+=[a-zA-Z0-9_.:%-]*/g, '')
    // Strip out query params
    .replace(/([?][^#]*)?/g, '');
exports.stripParamsFromDidUrl = stripParamsFromDidUrl;
function isW3cCredential(credential) {
    return !!credential.type;
}
exports.isW3cCredential = isW3cCredential;
const extractSDKVersion = () => packageInfo.version;
exports.extractSDKVersion = extractSDKVersion;
//# sourceMappingURL=_helpers.js.map