"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenTrueCaller = exports.FetchCredentialsPaginationOptions = exports.SignCredentialOptionalInput = exports.ClaimMetadata = exports.Proof = exports.OfferedCredential = exports.JwtOptions = exports.CredentialRequirement = exports.SignedCredential = exports.CredentialParams = exports.SdkOptionsWithCongitoSetup = exports.CognitoUserTokens = exports.KeyOptions = exports.KeyParams = exports.MessageParameters = exports.SdkOptions = exports.COGNITO_CONFIRMATION_CODE = exports.JWT = exports.PASSWORD = exports.DID = exports.SIGNATURE_ALGO = exports.DID_METHOD = void 0;
const class_validator_1 = require("class-validator");
const _defaultConfig_1 = require("../_defaultConfig");
exports.DID_METHOD = /^(jolo|elem|polygon|polygon:testnet)$/;
exports.SIGNATURE_ALGO = /^(SHA512withRSA)$/;
exports.DID = /^did:[\w\d]{2,}:[\w\d:;\-=]{10,}/;
exports.PASSWORD = /^.{6,}$/;
exports.JWT = /^[A-Za-z0-9_=-]+\.[A-Za-z0-9_=-]+\.?[A-Za-z0-9_.+/=-]*$/;
exports.COGNITO_CONFIRMATION_CODE = /^\d{6}$/;
class SdkOptions {
}
__decorate([
    (0, class_validator_1.IsUrl)({ require_tld: false }),
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "registryUrl", void 0);
__decorate([
    (0, class_validator_1.IsUrl)({ require_tld: false }),
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "issuerUrl", void 0);
__decorate([
    (0, class_validator_1.IsUrl)({ require_tld: false }),
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "verifierUrl", void 0);
__decorate([
    (0, class_validator_1.IsUrl)({ require_tld: false }),
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "keyStorageUrl", void 0);
__decorate([
    (0, class_validator_1.IsUrl)({ require_tld: false }),
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "affinidiVaultUrl", void 0);
__decorate([
    (0, class_validator_1.IsUrl)({ require_tld: false }),
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "revocationUrl", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsIn)(_defaultConfig_1.SUPPORTED_DID_METHODS)
], SdkOptions.prototype, "didMethod", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "webDomain", void 0);
__decorate([
    (0, class_validator_1.IsIn)(_defaultConfig_1.SUPPORTED_ENVIRONMENTS)
], SdkOptions.prototype, "env", void 0);
__decorate([
    (0, class_validator_1.IsUrl)({ require_tld: false }),
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "phoneIssuerBasePath", void 0);
__decorate([
    (0, class_validator_1.IsUrl)({ require_tld: false }),
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "emailIssuerBasePath", void 0);
__decorate([
    (0, class_validator_1.IsBoolean)(),
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "skipBackupEncryptedSeed", void 0);
__decorate([
    (0, class_validator_1.IsBoolean)(),
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "skipBackupCredentials", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "apiKey", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "accessApiKey", void 0);
__decorate([
    (0, class_validator_1.IsBoolean)(),
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "isProfilerActive", void 0);
__decorate([
    (0, class_validator_1.IsUrl)({ require_tld: false }),
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "metricsUrl", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "storageRegion", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "issueSignupCredential", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "userPoolId", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "clientId", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "region", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "origin", void 0);
__decorate([
    (0, class_validator_1.IsBoolean)(),
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "skipAnchoringForElemMethod", void 0);
__decorate([
    (0, class_validator_1.IsBoolean)(),
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "resolveLocallyElemMethod", void 0);
__decorate([
    (0, class_validator_1.IsBoolean)(),
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "resolveKeyLocally", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "beforeDocumentLoader", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "cognitoProviderClient", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "keyManager", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], SdkOptions.prototype, "tenantToken", void 0);
exports.SdkOptions = SdkOptions;
class MessageParameters {
}
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)()
], MessageParameters.prototype, "subject", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)()
], MessageParameters.prototype, "htmlMessage", void 0);
exports.MessageParameters = MessageParameters;
class KeyParams {
}
__decorate([
    (0, class_validator_1.IsString)()
], KeyParams.prototype, "encryptedSeed", void 0);
__decorate([
    (0, class_validator_1.IsString)()
], KeyParams.prototype, "password", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], KeyParams.prototype, "didDocument", void 0);
exports.KeyParams = KeyParams;
class KeyOptions {
}
__decorate([
    (0, class_validator_1.IsArray)(),
    (0, class_validator_1.IsIn)(['rsa', 'bbs', 'ecdsa'], { each: true })
], KeyOptions.prototype, "keyTypes", void 0);
exports.KeyOptions = KeyOptions;
class CognitoUserTokens {
}
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)()
], CognitoUserTokens.prototype, "accessToken", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)()
], CognitoUserTokens.prototype, "idToken", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)()
], CognitoUserTokens.prototype, "refreshToken", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)()
], CognitoUserTokens.prototype, "expiresIn", void 0);
exports.CognitoUserTokens = CognitoUserTokens;
class SdkOptionsWithCongitoSetup extends SdkOptions {
}
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)()
], SdkOptionsWithCongitoSetup.prototype, "userPoolId", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)()
], SdkOptionsWithCongitoSetup.prototype, "clientId", void 0);
exports.SdkOptionsWithCongitoSetup = SdkOptionsWithCongitoSetup;
class CredentialParams {
}
__decorate([
    (0, class_validator_1.IsDefined)(),
    (0, class_validator_1.IsString)()
], CredentialParams.prototype, "type", void 0);
__decorate([
    (0, class_validator_1.IsDefined)(),
    (0, class_validator_1.IsArray)()
], CredentialParams.prototype, "context", void 0);
__decorate([
    (0, class_validator_1.IsDefined)(),
    (0, class_validator_1.IsObject)()
], CredentialParams.prototype, "credentialSubject", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsISO8601)()
], CredentialParams.prototype, "expiresAt", void 0);
exports.CredentialParams = CredentialParams;
class SignedCredential {
}
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsObject)()
], SignedCredential.prototype, "claim", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsISO8601)()
], SignedCredential.prototype, "issued", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsISO8601)()
], SignedCredential.prototype, "expires", void 0);
__decorate([
    (0, class_validator_1.IsDefined)(),
    (0, class_validator_1.IsArray)()
], SignedCredential.prototype, "@context", void 0);
__decorate([
    (0, class_validator_1.IsDefined)(),
    (0, class_validator_1.IsString)()
], SignedCredential.prototype, "id", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)()
], SignedCredential.prototype, "name", void 0);
__decorate([
    (0, class_validator_1.IsDefined)()
], SignedCredential.prototype, "issuer", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsISO8601)()
], SignedCredential.prototype, "issuanceDate", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsISO8601)()
], SignedCredential.prototype, "expirationDate", void 0);
__decorate([
    (0, class_validator_1.IsDefined)(),
    (0, class_validator_1.IsArray)()
], SignedCredential.prototype, "type", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], SignedCredential.prototype, "credentialSubject", void 0);
__decorate([
    (0, class_validator_1.IsDefined)()
], SignedCredential.prototype, "proof", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsObject)()
], SignedCredential.prototype, "credentialStatus", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsArray)()
], SignedCredential.prototype, "verifiableCredential", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsObject)()
], SignedCredential.prototype, "credentialSchema", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsObject)()
], SignedCredential.prototype, "refreshService", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsArray)()
], SignedCredential.prototype, "termsOfUse", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsArray)()
], SignedCredential.prototype, "evidence", void 0);
exports.SignedCredential = SignedCredential;
class CredentialRequirement {
}
__decorate([
    (0, class_validator_1.IsDefined)(),
    (0, class_validator_1.IsArray)()
], CredentialRequirement.prototype, "type", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsArray)()
], CredentialRequirement.prototype, "constraints", void 0);
exports.CredentialRequirement = CredentialRequirement;
class JwtOptions {
}
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.Matches)(exports.DID)
], JwtOptions.prototype, "audienceDid", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsISO8601)()
], JwtOptions.prototype, "expiresAt", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)()
], JwtOptions.prototype, "nonce", void 0);
__decorate([
    (0, class_validator_1.IsUrl)({ require_tld: false }),
    (0, class_validator_1.IsOptional)()
], JwtOptions.prototype, "callbackUrl", void 0);
exports.JwtOptions = JwtOptions;
class OfferedCredential {
}
__decorate([
    (0, class_validator_1.IsDefined)(),
    (0, class_validator_1.IsString)()
], OfferedCredential.prototype, "type", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], OfferedCredential.prototype, "renderInfo", void 0);
exports.OfferedCredential = OfferedCredential;
// export class SignedCredentialContext {
//   id: string;
//   type: string;
//   cred: string;
//   schema: string;
//   email: string;
//   [key: string]: string;
// }
class Proof {
}
__decorate([
    (0, class_validator_1.IsDefined)(),
    (0, class_validator_1.IsString)()
], Proof.prototype, "type", void 0);
exports.Proof = Proof;
class ClaimMetadata {
}
__decorate([
    (0, class_validator_1.IsOptional)()
], ClaimMetadata.prototype, "context", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)()
], ClaimMetadata.prototype, "name", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsArray)()
], ClaimMetadata.prototype, "type", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], ClaimMetadata.prototype, "claimInterface", void 0);
exports.ClaimMetadata = ClaimMetadata;
class SignCredentialOptionalInput {
}
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.Matches)(exports.DID)
], SignCredentialOptionalInput.prototype, "requesterDid", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsJWT)()
], SignCredentialOptionalInput.prototype, "credentialOfferResponseToken", void 0);
exports.SignCredentialOptionalInput = SignCredentialOptionalInput;
class FetchCredentialsPaginationOptions {
}
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsInt)(),
    (0, class_validator_1.Min)(0)
], FetchCredentialsPaginationOptions.prototype, "skip", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsInt)(),
    (0, class_validator_1.Min)(1)
], FetchCredentialsPaginationOptions.prototype, "limit", void 0);
exports.FetchCredentialsPaginationOptions = FetchCredentialsPaginationOptions;
class TokenTrueCaller {
}
__decorate([
    (0, class_validator_1.IsDefined)(),
    (0, class_validator_1.IsBase64)()
], TokenTrueCaller.prototype, "payload", void 0);
__decorate([
    (0, class_validator_1.IsDefined)(),
    (0, class_validator_1.IsBase64)()
], TokenTrueCaller.prototype, "signature", void 0);
__decorate([
    (0, class_validator_1.IsDefined)(),
    (0, class_validator_1.Matches)(exports.SIGNATURE_ALGO)
], TokenTrueCaller.prototype, "signatureAlgorithm", void 0);
__decorate([
    (0, class_validator_1.IsUrl)({ require_tld: false }),
    (0, class_validator_1.IsOptional)()
], TokenTrueCaller.prototype, "avatarUrl", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], TokenTrueCaller.prototype, "city", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], TokenTrueCaller.prototype, "companyName", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], TokenTrueCaller.prototype, "countryCode", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsEmail)()
], TokenTrueCaller.prototype, "email", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], TokenTrueCaller.prototype, "facebookId", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], TokenTrueCaller.prototype, "firstName", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], TokenTrueCaller.prototype, "gender", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], TokenTrueCaller.prototype, "isAmbassador", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], TokenTrueCaller.prototype, "isBusiness", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], TokenTrueCaller.prototype, "isVerified", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], TokenTrueCaller.prototype, "jobTitle", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], TokenTrueCaller.prototype, "lastName", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsMobilePhone)()
], TokenTrueCaller.prototype, "phoneNumber", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], TokenTrueCaller.prototype, "requestNonce", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], TokenTrueCaller.prototype, "street", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], TokenTrueCaller.prototype, "successful", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], TokenTrueCaller.prototype, "twitterId", void 0);
__decorate([
    (0, class_validator_1.IsUrl)({ require_tld: false }),
    (0, class_validator_1.IsOptional)()
], TokenTrueCaller.prototype, "url", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsPostalCode)()
], TokenTrueCaller.prototype, "zipcode", void 0);
exports.TokenTrueCaller = TokenTrueCaller;
//# sourceMappingURL=shared.dto.js.map