import { EventComponent } from '@affinidi/affinity-metrics-lib';
import { IPlatformCryptographyTools } from '../shared/interfaces';
export declare const createV5CompatibleWalletFactories: (platformCryptographyTools: IPlatformCryptographyTools, component: EventComponent) => (new (password: string, encryptedSeed: string, inputOptions: import("..").SdkOptions) => import("../CommonNetworkMember/LegacyNetworkMemberWithFactories").LegacyNetworkMemberWithFactories) & {
    isUserUnconfirmed: (username: string, options: import("..").SdkOptions) => Promise<boolean>;
    fromSeed: (seedHexWithMethod: string, options: import("..").SdkOptions, password?: string) => Promise<import("../CommonNetworkMember/LegacyNetworkMemberWithFactories").LegacyNetworkMemberWithFactories>;
    getDidFromToken: (jwt: string) => string;
    register: (password: string, options: import("..").SdkOptions) => Promise<{
        did: string;
        encryptedSeed: string;
    }>;
    anchorDid: (encryptedSeed: string, password: string, didDocument: any, nonce: number, options: import("..").SdkOptions) => Promise<{
        did: string;
    } | {
        did: string;
    }>;
    passwordlessLogin: (login: string, options: import("..").SdkOptions, messageParameters?: import("..").MessageParameters) => Promise<string>;
    completeLoginChallenge: (token: string, confirmationCode: string, inputOptions: import("..").SdkOptions) => Promise<import("../CommonNetworkMember/LegacyNetworkMemberWithFactories").LegacyNetworkMemberWithFactories>;
    forgotPassword: (login: string, options: import("..").SdkOptions, messageParameters?: import("..").MessageParameters) => Promise<void>;
    forgotPasswordSubmit: (login: string, confirmationCode: string, newPassword: string, options: import("..").SdkOptions) => Promise<void>;
    fromLoginAndPassword: (username: string, password: string, inputOptions: import("..").SdkOptions) => Promise<import("../CommonNetworkMember/LegacyNetworkMemberWithFactories").LegacyNetworkMemberWithFactories>;
    signUpWithExistsEntity: (keyParams: import("../dto/shared.dto").KeyParams, login: string, password: string, options: import("..").SdkOptions, messageParameters?: import("..").MessageParameters) => Promise<string | import("../CommonNetworkMember/LegacyNetworkMemberWithFactories").LegacyNetworkMemberWithFactories>;
    signUp: (login: string, password: string, options: import("..").SdkOptions, messageParameters?: import("..").MessageParameters) => Promise<string | import("../CommonNetworkMember/LegacyNetworkMemberWithFactories").LegacyNetworkMemberWithFactories>;
    confirmSignUpWithExistsEntity: (keyParams: import("../dto/shared.dto").KeyParams, signUpToken: string, confirmationCode: string, options: import("..").SdkOptions) => Promise<import("../CommonNetworkMember/LegacyNetworkMemberWithFactories").LegacyNetworkMemberWithFactories>;
    confirmSignUp: (signUpToken: string, confirmationCode: string, options: import("..").SdkOptions) => Promise<import("../CommonNetworkMember/LegacyNetworkMemberWithFactories").LegacyNetworkMemberWithFactories>;
    resendSignUpConfirmationCode: (login: string, options: import("..").SdkOptions, messageParameters?: import("..").MessageParameters) => Promise<void>;
    signIn: (login: string, options: import("..").SdkOptions, messageParameters?: import("..").MessageParameters) => Promise<string>;
    confirmSignIn: (token: string, confirmationCode: string, options: import("..").SdkOptions) => Promise<{
        isNew: boolean;
        commonNetworkMember: import("../CommonNetworkMember/LegacyNetworkMemberWithFactories").LegacyNetworkMemberWithFactories;
    }>;
    generateSeed: (didMethod?: string) => Promise<any>;
    fromJWT: (token: string) => any;
    fromAccessToken: (accessToken: string, options: import("..").SdkOptions) => Promise<import("../CommonNetworkMember/LegacyNetworkMemberWithFactories").LegacyNetworkMemberWithFactories>;
    init: (options: import("..").SdkOptions) => Promise<import("../CommonNetworkMember/LegacyNetworkMemberWithFactories").LegacyNetworkMemberWithFactories>;
    createPublicTools: (inputOptions: import("..").SdkOptions) => import("../CommonNetworkMember/PublicTools").PublicTools;
    createWallet: (inputOptions: import("..").SdkOptions, inputPassword: string, keyOptions?: import("..").KeyOptions) => Promise<import("../CommonNetworkMember/NetworkMemberWithoutCognito").NetworkMemberWithoutCognito>;
    openWalletByEncryptedSeed: (inputOptions: import("..").SdkOptions, encryptedSeed: string, password: string, accountNumber?: number) => Promise<import("../CommonNetworkMember/NetworkMemberWithoutCognito").NetworkMemberWithoutCognito>;
    initiateLogInPasswordless: (inputOptions: import("..").SdkOptions, login: string, messageParameters?: import("..").MessageParameters) => Promise<string>;
    completeLogInPasswordless: (inputOptions: import("..").SdkOptions, token: string, confirmationCode: string) => Promise<import("../CommonNetworkMember/NetworkMemberWithCognito").NetworkMemberWithCognito>;
    initiateForgotPassword: (inputOptions: import("..").SdkOptions, login: string, messageParameters?: import("..").MessageParameters) => Promise<string>;
    completeForgotPassword: (inputOptions: import("..").SdkOptions, forgotPasswordToken: string, confirmationCode: string, newPassword: string) => Promise<import("../CommonNetworkMember/NetworkMemberWithCognito").NetworkMemberWithCognito>;
    logInWithPassword: (inputOptions: import("..").SdkOptions, username: string, password: string) => Promise<import("../CommonNetworkMember/NetworkMemberWithCognito").NetworkMemberWithCognito>;
    logInWithRefreshToken: (inputOptions: import("..").SdkOptions, refreshToken: string) => Promise<import("../CommonNetworkMember/NetworkMemberWithCognito").NetworkMemberWithCognito>;
    signUpWithUsername: (inputOptions: import("..").SdkOptions, username: string, password: string, keyParamsOrOptions?: import("../dto/shared.dto").KeyParamsOrOptions) => Promise<import("../CommonNetworkMember/NetworkMemberWithCognito").NetworkMemberWithCognito>;
    initiateSignUpByEmail: (inputOptions: import("..").SdkOptions, email: string, password?: string, messageParameters?: import("..").MessageParameters) => Promise<string>;
    initiateSignUpByPhone: (inputOptions: import("..").SdkOptions, phone: string, password?: string, messageParameters?: import("..").MessageParameters) => Promise<string>;
    completeSignUp: (inputOptions: import("..").SdkOptions, signUpToken: string, confirmationCode: string, keyParamsOrOptions?: import("../dto/shared.dto").KeyParamsOrOptions) => Promise<import("../CommonNetworkMember/NetworkMemberWithCognito").NetworkMemberWithCognito>;
    resendSignUp: (inputOptions: import("..").SdkOptions, signUpToken: string, messageParameters?: import("..").MessageParameters) => Promise<void>;
    initiateSignInPasswordless: (inputOptions: import("..").SdkOptions, login: string, messageParameters?: import("..").MessageParameters) => Promise<string>;
    completeSignInPasswordless: (options: import("..").SdkOptions, signInToken: string, confirmationCode: string) => Promise<{
        isNew: boolean;
        wallet: import("../CommonNetworkMember/NetworkMemberWithCognito").NetworkMemberWithCognito;
    }>;
    signInWithProfile: (inputOptions: import("..").SdkOptions, profileTrueCaller: import("../dto/shared.dto").TokenTrueCaller) => Promise<{
        isNew: boolean;
        wallet: import("../CommonNetworkMember/NetworkMemberWithCognito").NetworkMemberWithCognito;
    }>;
    deserializeSession: (inputOptions: import("..").SdkOptions, serializedSession: string) => Promise<import("../CommonNetworkMember/NetworkMemberWithCognito").NetworkMemberWithCognito>;
};
export declare const createV6WalletFactories: (platformCryptographyTools: IPlatformCryptographyTools, component: EventComponent) => {
    createPublicTools: (inputOptions: import("..").SdkOptions) => import("../CommonNetworkMember/PublicTools").PublicTools;
    createWallet: (inputOptions: import("..").SdkOptions, inputPassword: string, keyOptions?: import("..").KeyOptions) => Promise<import("../CommonNetworkMember/NetworkMemberWithoutCognito").NetworkMemberWithoutCognito>;
    openWalletByEncryptedSeed: (inputOptions: import("..").SdkOptions, encryptedSeed: string, password: string, accountNumber?: number) => Promise<import("../CommonNetworkMember/NetworkMemberWithoutCognito").NetworkMemberWithoutCognito>;
    initiateLogInPasswordless: (inputOptions: import("..").SdkOptions, login: string, messageParameters?: import("..").MessageParameters) => Promise<string>;
    completeLogInPasswordless: (inputOptions: import("..").SdkOptions, token: string, confirmationCode: string) => Promise<import("../CommonNetworkMember/NetworkMemberWithCognito").NetworkMemberWithCognito>;
    initiateForgotPassword: (inputOptions: import("..").SdkOptions, login: string, messageParameters?: import("..").MessageParameters) => Promise<string>;
    completeForgotPassword: (inputOptions: import("..").SdkOptions, forgotPasswordToken: string, confirmationCode: string, newPassword: string) => Promise<import("../CommonNetworkMember/NetworkMemberWithCognito").NetworkMemberWithCognito>;
    logInWithPassword: (inputOptions: import("..").SdkOptions, username: string, password: string) => Promise<import("../CommonNetworkMember/NetworkMemberWithCognito").NetworkMemberWithCognito>;
    logInWithRefreshToken: (inputOptions: import("..").SdkOptions, refreshToken: string) => Promise<import("../CommonNetworkMember/NetworkMemberWithCognito").NetworkMemberWithCognito>;
    signUpWithUsername: (inputOptions: import("..").SdkOptions, username: string, password: string, keyParamsOrOptions?: import("../dto/shared.dto").KeyParamsOrOptions) => Promise<import("../CommonNetworkMember/NetworkMemberWithCognito").NetworkMemberWithCognito>;
    initiateSignUpByEmail: (inputOptions: import("..").SdkOptions, email: string, password?: string, messageParameters?: import("..").MessageParameters) => Promise<string>;
    initiateSignUpByPhone: (inputOptions: import("..").SdkOptions, phone: string, password?: string, messageParameters?: import("..").MessageParameters) => Promise<string>;
    completeSignUp: (inputOptions: import("..").SdkOptions, signUpToken: string, confirmationCode: string, keyParamsOrOptions?: import("../dto/shared.dto").KeyParamsOrOptions) => Promise<import("../CommonNetworkMember/NetworkMemberWithCognito").NetworkMemberWithCognito>;
    resendSignUp: (inputOptions: import("..").SdkOptions, signUpToken: string, messageParameters?: import("..").MessageParameters) => Promise<void>;
    initiateSignInPasswordless: (inputOptions: import("..").SdkOptions, login: string, messageParameters?: import("..").MessageParameters) => Promise<string>;
    completeSignInPasswordless: (options: import("..").SdkOptions, signInToken: string, confirmationCode: string) => Promise<{
        isNew: boolean;
        wallet: import("../CommonNetworkMember/NetworkMemberWithCognito").NetworkMemberWithCognito;
    }>;
    signInWithProfile: (inputOptions: import("..").SdkOptions, profileTrueCaller: import("../dto/shared.dto").TokenTrueCaller) => Promise<{
        isNew: boolean;
        wallet: import("../CommonNetworkMember/NetworkMemberWithCognito").NetworkMemberWithCognito;
    }>;
    deserializeSession: (inputOptions: import("..").SdkOptions, serializedSession: string) => Promise<import("../CommonNetworkMember/NetworkMemberWithCognito").NetworkMemberWithCognito>;
};
