import { KeyManager } from '@affinidi/common';
import { CredentialLike } from '../dto/internal';
import { VaultCredential } from '../dto/vault.dto';
declare type OriginalCredential = {
    credential: CredentialLike;
};
declare type EncryptedCredential<TOriginal> = {
    idHash: string;
    typeHashes: string[];
    cyphertext: string;
    originalCredential: TOriginal;
};
export default class AffinidiVaultEncryptionService {
    private _keyManager;
    constructor(keyManager: KeyManager);
    encryptCredentials<TOriginal extends OriginalCredential>(credentials: TOriginal[]): Promise<EncryptedCredential<TOriginal>[]>;
    computeTypesHashes(types: string[][]): Promise<string[][]>;
    decryptCredentials(encryptedCredentials: VaultCredential[]): Promise<CredentialLike[]>;
    decryptCredential(encryptedCredential: VaultCredential): Promise<CredentialLike>;
    computeHashedId(credentialId: string): Promise<string>;
}
export {};
