import { CredentialLike } from '../dto/internal';
import { VaultCredential } from '../dto/vault.dto';
import { DidAuthAdapter } from '../shared/DidAuthAdapter';
import AffinidiVaultEncryptionService from './AffinidiVaultEncryptionService';
declare type AffinidiVaultStorageOptions = {
    didAuthAdapter: DidAuthAdapter;
    accessApiKey: string;
    vaultUrl: string;
};
export default class AffinidiVaultStorageService {
    private _encryptionService;
    private _vaultApiService;
    constructor(encryptionService: AffinidiVaultEncryptionService, options: AffinidiVaultStorageOptions);
    saveCredentials(credentials: CredentialLike[], storageRegion: string): Promise<VaultCredential[]>;
    searchCredentials(storageRegion: string, types?: string[][]): Promise<CredentialLike[]>;
    getCredentialById(credentialId: string, storageRegion: string): Promise<CredentialLike>;
    deleteCredentialById(credentialId: string, storageRegion: string): Promise<void>;
    deleteAllCredentials(storageRegion: string): Promise<void>;
}
export {};
