import { DefaultApiFp as Api, InlineResponse200 as _InitiateResponse, InlineResponse2001 as _VerifyResponse } from '@affinidi/issuer-email-ses-client';
import { VCEmailPersonV1 } from '@affinidi/vc-data';
declare type Awaited<T> = T extends PromiseLike<infer U> ? U : never;
declare type ApiInitiatePostPromise = ReturnType<ReturnType<typeof Api>['apiInitiatePost']>;
declare type ApiInitiatePostResult = Awaited<ApiInitiatePostPromise>;
declare type AxiosInstance = Parameters<ApiInitiatePostResult>[0];
export declare type VerifyResponse = Omit<_VerifyResponse, 'vcs'> & {
    vcs: VCEmailPersonV1[];
};
export declare type InitiateResponse = _InitiateResponse;
export declare class EmailIssuerService {
    private readonly basePath;
    constructor({ basePath }: {
        basePath: string;
    });
    private readonly getApi;
    initiate({ apiKey, emailAddress, id, holder, axios, }: {
        apiKey: string;
        emailAddress: string;
        id: string;
        holder: string;
        axios?: AxiosInstance;
    }): Promise<InitiateResponse>;
    verify({ apiKey, code, id, holder, axios, }: {
        apiKey: string;
        code: string;
        id: string;
        holder: string;
        axios?: AxiosInstance;
    }): Promise<VerifyResponse>;
}
export {};
