"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmailIssuerService = void 0;
const issuer_email_ses_client_1 = require("@affinidi/issuer-email-ses-client");
const tools_common_1 = require("@affinidi/tools-common");
let EmailIssuerService = class EmailIssuerService {
    constructor({ basePath }) {
        this.getApi = (apiKey) => (0, issuer_email_ses_client_1.DefaultApiFp)({ apiKey, basePath: this.basePath });
        this.basePath = basePath;
    }
    async initiate({ apiKey, emailAddress, id, holder, axios, }) {
        const apicall = await this.getApi(apiKey).apiInitiatePost({
            payload: {
                id,
                holder,
                type: [],
                data: {
                    emailAddress,
                },
            },
        });
        const result = await apicall(axios, this.basePath);
        return result.data;
    }
    async verify({ apiKey, code, id, holder, axios, }) {
        const apicall = await this.getApi(apiKey).apiVerifyPost({
            payload: {
                id,
                holder,
                type: [],
                data: { code },
            },
        });
        const result = await apicall(axios, this.basePath);
        return result.data;
    }
};
EmailIssuerService = __decorate([
    (0, tools_common_1.profile)()
], EmailIssuerService);
exports.EmailIssuerService = EmailIssuerService;
//# sourceMappingURL=EmailIssuerService.js.map