import { KeyParams } from '../dto/shared.dto';
declare type ConstructorOptions = {
    keyStorageUrl: string;
    accessApiKey: string;
    tenantToken?: string;
};
export default class KeyManagementService {
    private _keyStorageApiService;
    constructor(options: ConstructorOptions);
    private _pullEncryptedSeed;
    private _pullEncryptionKey;
    private _storeEncryptedSeed;
    pullKeyAndSeed(accessToken: string): Promise<{
        encryptionKey: string;
        encryptedSeed: string;
    }>;
    pullUserData(accessToken: string): Promise<{
        did: string;
        didDocumentKeyId: string;
        encryptedSeed: string;
        password: string;
        didDocument: any;
        accountNumber: number;
    }>;
    pullEncryptionKeyAndStoreEncryptedSeed(accessToken: string, seedHexWithMethod: string): Promise<void>;
    private storeEncryptedSeed;
    reencryptSeed(accessToken: string, keyParams: KeyParams, backupUpdatedSeed: boolean): Promise<{
        encryptionKey: string;
        updatedEncryptedSeed: string;
    }>;
}
export {};
