import { KeyManager } from '@affinidi/common';
import { Env, SignedCredential } from '../dto/shared.dto';
import { DidAuthAdapter } from '../shared/DidAuthAdapter';
declare type ConstructorOptions = {
    affinidiVaultUrl: string;
    storageRegion: string;
    accessApiKey: string;
    didAuthAdapter: DidAuthAdapter;
};
export default class WalletStorageService {
    private _storageRegion;
    private _affinidiVaultStorageService;
    constructor(keyManager: KeyManager, options: ConstructorOptions);
    static hashFromString(data: string): string;
    static getCredentialOffer(accessToken: string, keyStorageUrl: string, options: {
        env: Env;
        accessApiKey: string;
    }): Promise<string>;
    static getSignedCredentials(accessToken: string, credentialOfferResponseToken: string, options: {
        env?: Env;
        keyStorageUrl?: string;
        issuerUrl?: string;
        accessApiKey: string;
        apiKey?: string;
    }): Promise<SignedCredential[]>;
    private _getCredentialsByTypes;
    saveCredentials(credentials: any[], storageRegion?: string): Promise<import("../dto/vault.dto").VaultCredential[]>;
    getAllCredentials(storageRegion?: string): Promise<import("../dto/internal").CredentialLike[]>;
    getCredentialsByShareToken(token: string, storageRegion?: string): Promise<import("../dto/internal").CredentialLike[]>;
    getCredentialById(credentialId: string, storageRegion?: string): Promise<any>;
    deleteCredentialById(credentialId: string, storageRegion?: string): Promise<void>;
    deleteAllCredentials(storageRegion?: string): Promise<void>;
}
export {};
