"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DidAuthAdapter = void 0;
const affinidi_did_auth_lib_1 = require("@affinidi/affinidi-did-auth-lib");
class DidAuthAdapter {
    constructor(_did, _didAuthService) {
        this._did = _did;
        this._didAuthService = _didAuthService;
    }
    get did() {
        return this._did;
    }
    createDidAuthResponseToken(didAuthRequestToken) {
        return this._didAuthService.createDidAuthResponseToken(didAuthRequestToken);
    }
    isResponseTokenExpired(token, tokenRequestTime) {
        const localExpiringDidAuthResponseTokenCheck = affinidi_did_auth_lib_1.LocalExpiringDidAuthResponseToken.initialize(tokenRequestTime, token);
        return localExpiringDidAuthResponseTokenCheck.isExpiredAt(Date.now());
    }
}
exports.DidAuthAdapter = DidAuthAdapter;
//# sourceMappingURL=DidAuthAdapter.js.map