"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tools_common_1 = require("@affinidi/tools-common");
class SdkErrorFromCode extends tools_common_1.SdkError {
    constructor(code, context = {}, originalError = {}) {
        const error = SdkErrorFromCode.errors[code];
        if (!error) {
            throw new Error(`Invalid operation error code: ${code}`);
        }
        super({ ...error, code }, context, originalError);
    }
    static get errors() {
        return {
            ...tools_common_1.commonErrors,
            // NOTE: errors related to SDK only should be added here with a separate prefix SDK-XXX (SDK-1), not to commonErrors
        };
    }
}
exports.default = SdkErrorFromCode;
//# sourceMappingURL=SdkErrorFromCode.js.map