"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createUserManagementService = void 0;
const _defaultConfig_1 = require("../_defaultConfig");
const _helpers_1 = require("../_helpers");
const internal_api_clients_1 = require("@affinidi/internal-api-clients");
const user_management_1 = require("@affinidi/user-management");
const createUserManagementService = (options) => {
    var _a, _b;
    const keyStorageApiService = new internal_api_clients_1.KeyStorageApiService({
        keyStorageUrl: options.basicOptions.keyStorageUrl,
        accessApiKey: options.accessApiKey,
        sdkVersion: (0, _helpers_1.extractSDKVersion)(),
    });
    return new user_management_1.UserManagementService({
        region: (_a = options.region) !== null && _a !== void 0 ? _a : _defaultConfig_1.DEFAULT_COGNITO_REGION,
        shouldDisableNameNormalisation: options.shouldDisableNameNormalisation,
        ...options.basicOptions,
    }, { keyStorageApiService, cognitoProviderClient: (_b = options.otherOptions) === null || _b === void 0 ? void 0 : _b.cognitoProviderClient });
};
exports.createUserManagementService = createUserManagementService;
//# sourceMappingURL=createUserManagementService.js.map