"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withDidData = exports.getDidDataFromKeysService = void 0;
const common_1 = require("@affinidi/common");
const getDidDataFromKeysService = (keysService) => {
    const didDocumentService = common_1.DidDocumentService.createDidDocumentService(keysService);
    const did = didDocumentService.getMyDid();
    const didDocumentKeyId = didDocumentService.getKeyId();
    return { did, didDocumentKeyId };
};
exports.getDidDataFromKeysService = getDidDataFromKeysService;
const withDidData = (userData) => {
    const { encryptedSeed, password, didDocument, accountNumber } = userData;
    const keysService = new common_1.KeysService(encryptedSeed, password, accountNumber);
    const { did, didDocumentKeyId } = (0, exports.getDidDataFromKeysService)(keysService);
    return { did, didDocumentKeyId, encryptedSeed, password, didDocument, accountNumber };
};
exports.withDidData = withDidData;
//# sourceMappingURL=getDidData.js.map