import { Env, SdkOptions } from '../dto/shared.dto';
declare type AccessApiKeyOptions = {
    accessApiKey?: string;
    apiKey?: string;
};
export declare const getAccessApiKeyFromOptions: ({ accessApiKey, apiKey }: AccessApiKeyOptions) => string;
export declare const getOptionsFromEnvironment: (options: SdkOptions) => {
    region: string;
    basicOptions: {
        issuerUrl: string;
        registryUrl: string;
        verifierUrl: string;
        affinidiVaultUrl: string;
        keyStorageUrl: string;
        revocationUrl: string;
        metricsUrl: string;
        migrationUrl: string;
        env: Env;
        clientId: string;
        userPoolId: string;
        phoneIssuerBasePath: string;
        emailIssuerBasePath: string;
    };
    accessApiKey: string;
    storageRegion: string;
    otherOptions: Omit<SdkOptions, "origin" | "region" | "env" | "accessApiKey" | "storageRegion" | "registryUrl" | "issuerUrl" | "verifierUrl" | "keyStorageUrl" | "affinidiVaultUrl" | "revocationUrl" | "phoneIssuerBasePath" | "emailIssuerBasePath" | "apiKey" | "userPoolId" | "clientId">;
    origin: string;
};
export declare type ParsedOptions = ReturnType<typeof getOptionsFromEnvironment>;
export {};
