const credentialTemplate = {
  issuer: 'did:jolo:6df6fd4a876dcd375fbc5d630e64e7529f27e9612aecbbbf3213861a2b0b7e9d',
  issued: '2020-01-17T07:06:35.403Z',
  type: ['Credential', 'ProofOfNameCredential'],
  expires: '2021-01-16T07:06:35.337Z',
  proof: {
    created: '2020-01-17T07:06:35.402Z',
    type: 'EcdsaKoblitzSignature2016',
    nonce: 'cf82f1b448514229',
    signatureValue:
      '866191eb3f7a871b59d0c665ed8a4c3b799124aa54e9faf7d2163486fd146c14047d3d4a688056d4c6d0ad221170af55561d87b872e428d30b5c1fa8ffd27f83',
    creator: 'did:jolo:6df6fd4a876dcd375fbc5d630e64e7529f27e9612aecbbbf3213861a2b0b7e9d#keys-1',
  },
  claim: {
    givenName: 'DenisUpdated',
    familyName: 'Popov',
    id: 'did:jolo:6df6fd4a876dcd375fbc5d630e64e7529f27e9612aecbbbf3213861a2b0b7e9d',
  },
  name: 'Name',
}

export const generateCredentials = (number: number) => {
  const credentials = []
  for (let i = 0; i < number; i += 1) {
    const index = `${i}`.padStart(3, '00')
    credentials.push({
      ...credentialTemplate,
      id: `claimId:${index}`,
    })
  }

  return credentials
}

export default generateCredentials(3)
